ElectroSpatialFormulation (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum ElectroSpatialFormulation

- java.lang.Object
- - java.lang.Enum<ElectroSpatialFormulation>
  - - tv.amwa.maj.enumeration.ElectroSpatialFormulation

- All Implemented Interfaces:
    Serializable, Comparable<ElectroSpatialFormulation>, MediaEnumerationValue

      public enum ElectroSpatialFormulation
      extends Enum<ElectroSpatialFormulation>
      implements MediaEnumerationValue

  Specifies electro-spatial formulation, a property used to describe sound essence.

  See Also:
    `SoundDescriptor.getElectrospatialFormulation()`, `

    Original C name: `aafElectroSpatialFormulation_e`

    `

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Default` Default formulation.
    `MultiChannelMode` Multi channel mode.
    `PrimarySecondaryMode` Primary secondary mode.
    `SingleChannelDoubleSamplingFrequencyMode` Single channel double sampling frequency mode.
    `SingleChannelMode` Single channel mode.
    `StereoLeftChannelDoubleSamplingFrequencyMode` Stereo left channel double sampling frequency mode.
    `StereophonicMode` Stereophonic mode.
    `StereoRightChannelDoubleSamplingFrequencyMode` Stereo right channel double sampling frequency mode.
    `TwoChannelMode` Two channel mode.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static ElectroSpatialFormulation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ElectroSpatialFormulation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### Default

          public static final ElectroSpatialFormulation Default

      Default formulation.

    - #### TwoChannelMode

          public static final ElectroSpatialFormulation TwoChannelMode

      Two channel mode.

    - #### SingleChannelMode

          public static final ElectroSpatialFormulation SingleChannelMode

      Single channel mode.

    - #### PrimarySecondaryMode

          public static final ElectroSpatialFormulation PrimarySecondaryMode

      Primary secondary mode.

    - #### StereophonicMode

          public static final ElectroSpatialFormulation StereophonicMode

      Stereophonic mode.

    - #### SingleChannelDoubleSamplingFrequencyMode

          public static final ElectroSpatialFormulation SingleChannelDoubleSamplingFrequencyMode

      Single channel double sampling frequency mode.

    - #### StereoLeftChannelDoubleSamplingFrequencyMode

          public static final ElectroSpatialFormulation StereoLeftChannelDoubleSamplingFrequencyMode

      Stereo left channel double sampling frequency mode.

    - #### StereoRightChannelDoubleSamplingFrequencyMode

          public static final ElectroSpatialFormulation StereoRightChannelDoubleSamplingFrequencyMode

      Stereo right channel double sampling frequency mode.

    - #### MultiChannelMode

          public static final ElectroSpatialFormulation MultiChannelMode

      Multi channel mode.

  - ### Method Detail

    - #### values

          public static ElectroSpatialFormulation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElectroSpatialFormulation c : ElectroSpatialFormulation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElectroSpatialFormulation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.